package main

import (
  "fmt"
  "math"
  "os"
)

func main() {
  fileName := os.Args[1]
  f, err := os.Create(fileName)
  if err != nil {
    fmt.Fprintf(os.Stderr, "Errore nell'apertura del file: %v\n", err)
    os.Exit(1)
  }
  defer f.Close()

  fmt.Fprintf(f, "Ciao mamma\ncome stai\nqui tutto bene!\n\n")
  fmt.Fprintf(f, "Ti volevo far sapere che la radice di 2 è %f\n", math.Sqrt(2.0))
}
