package main

// Questo è un commento

import (
  "fmt"
  "io"
  "os"
)

func main() {
  fileName := os.Args[1]
  f, err := os.Open(fileName)
  if err != nil {
    fmt.Printf("Errore nell'apertura del file: %v\n", err)
    os.Exit(1)
  }
  defer f.Close()
  var b []byte
  b = make([]byte, 1)
  for {
    _, err := f.Read(b)
    if err == io.EOF {
      break
    }
    fmt.Printf("%c", b[0])
  }
  fmt.Println("FILE COMPLETATO")
}
